Get Audit Log
curl --request GET \
--url https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/organizations/audit/logs/{audit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audit_id": "<string>",
"timestamp": "<unknown>",
"resource_type": "<string>",
"resource_id": "<string>",
"action": "<string>",
"actor_id": "<string>",
"actor_type": "user",
"status": "success",
"changes": "<unknown>",
"ip_address": "<string>",
"user_agent": "<string>",
"actor_name": "<string>",
"actor_email": "<string>",
"actor_key_name": "<string>"
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Audit Logs
Get Audit Log
Get a specific audit log entry by ID.
Requires ADMIN permission.
GET
/
v1
/
organizations
/
audit
/
logs
/
{audit_id}
Get Audit Log
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
AuditEventResponse · object | null
Successful Response
Single audit event in list response.
Unique audit event identifier
When the event occurred
Type of resource affected
ID of the affected resource
Action performed
Who performed the action
Type of actor
Status of the action
What changed
Request IP address
Request user agent
Resolved actor display name
Resolved actor email
API key name used
Was this page helpful?
⌘I

